Object Packager overview

Object Packager is a tool you can use to create a package that you can insert into a file.

The Object Packager window has two panes. The Appearance pane displays the icon that will represent the package. The Content pane displays the name of the file that contains the information you want to package.

To create a package, you copy the contents of the Appearance and Content panes, and then paste the information into a file. The package appears in the file as an icon.

You can activate a package icon by double-clicking it. When you do, depending on the contents of the package, one of the following will occur:

  • If the package contains a sound or animation file, the sound or animation will play.
  • If the package contains a picture, text, or spreadsheet, the program associated with that file type will open and display the information. For example, if the package contains a bitmap that was created in Microsoft Paint, then Paint will open and display the picture.

Note

  • You can insert a package into a file only if the file has been created by a Windows-based program that supports drag-and-drop functions.

Related Topics


Creating a package

You can create a package by using either Object Packager or Windows Explorer. The requirements for each method follow.

  • To package only a part of a file, you must use Object Packager, and the file must have been created by a program that supports drag-and-drop functions.
  • To package a complete file, you can use either Object Packager or Windows Explorer. The contents of the package can be created by any program.


Change a package icon

Microsoft Windows graphic

To change a package icon

  1. On the File menu, click Import to locate the file with the icon you want to change.
  2. In the Appearance pane, click Insert Icon.
  3. In File name, type the name and the path of the program with the icon you want to use (for example, C:\winnt\system32\Mspaint.exe), or click Browse to locate the program.
  4. Select the icon you want to use, and then click OK.


Change an icon label

To change an icon label

  1. On the File menu, click Import to locate the package with the icon label you want to change.
  2. On the Edit menu, click Label.
  3. Type the text for the new label, and then click OK.


Create a custom icon

To create a custom icon

  1. In Microsoft Paint or another drawing program, create or open a picture you want to use for the icon.
  2. Select all or part of the picture you want for your icon.
  3. On the Edit menu, click Copy.
  4. In Object Packager, click anywhere in the Appearance pane.
  5. On the Edit menu, click Paste.
  6. On the File menu, click Save Contents, and then click Save to associate the icon with files in the Content pane.

Note

  • Custom icons that you create do not have labels.


Create a package containing a complete file

To create a package containing a complete file

  1. On the File menu, click Import.
  2. Click the icon for the file you want to package, or click a folder to locate a file to package, and then click Open.
  3. On the Edit menu, click Copy Package.
  4. Open the file into which you want to insert the existing package, and then click where you want to insert it.
  5. On the Edit menu of the program for the file, click Paste.

Notes

  • In some programs, the package automatically appears in the upper-left corner of the window.
  • You can import any file into Object Packager, but to insert the package into a file, the file must have been created by a Windows-based program that supports drag-and-drop functions.


Create a package containing part of a file

To create a package containing part of a file

  1. In the file that contains the information you want to package, select the part you want.
  2. In the file, on the Edit menu, click Copy.
  3. In Object Packager, click anywhere in the Content pane.
  4. In Object Packager, on the Edit menu, click Paste to embed the information into Object Packager.
  5. In Object Packager, on the Edit menu, click Copy Package.
  6. Open the file into which you are inserting the package, and then click where you want to insert it.
  7. In the file, on the Edit menu, click Paste. In some programs, the package automatically appears in the upper-left corner of the window.

Note

  • Both the original file that contains the information you selected and the destination file must have been created by programs that support drag-and-drop functions.


Edit embedded information

To edit embedded information

  1. In the file that contains the embedded information you want to edit, click the package.
  2. On the Edit menu, point to Package Object, and then click Edit Package.
  3. In Object Packager, in the Content pane, double-click the text description or picture.
  4. Change the information you want.
  5. On the File menu, click Exit and Return to Content Object. Click Yes if prompted to save the file.
  6. To apply your changes, in Object Packager, on the File menu, click Update.


Edit linked information

To edit linked information

  1. In the file that contains the linked information you want to edit, click the package.
  2. On the Edit menu, point to Package Object, and then click Edit Package.
  3. In Object Packager, in the Content pane, double-click the text description or picture.
  4. Change the information you want.
  5. On the File menu, click Save.
  6. On the File menu, click Exit to return to the file.

Note

  • When you make changes to linked information, those changes appear in every file that contains a link to that information. If the linked information is set to be updated manually, you must use the Links dialog box to update the link to see your changes.


Insert an MS-DOS command into a file

To insert an MS-DOS command into a file

  1. On the Edit menu, click Command Line.
  2. In Command, type the MS-DOS command you want, including any options or parameters, the full path and file name extension (if you are typing the name of a program), and then click OK.

    3. The MS-DOS command appears in the Content pane.

  3. Click Insert Icon. Select an icon from those pictured, and then click OK. If the icon you want is not displayed, click Browse, and then click the file name you want.
  4. On the Edit menu, click Copy Package.
  5. Open the file in which you want to insert the package, and then position the insertion point at the location in the file where you want the command to appear.
  6. In the file, on the Edit menu, click Paste.

Notes

  • In some programs, the package automatically appears in the upper-left corner of the window.
  • You can carry out the MS-DOS command by double-clicking the package.


Switch between Description view and Picture view

To switch between Description view and Picture view

  • Click anywhere in the Content pane, and then do one of the following:
    • To display the name of the file in the package, click Description.
    • To display a snapshot view of the package contents, click Picture.

Note

  • Picture view is available only if the packaged information was created by a program that supports drag-and-drop functions.


Manually update linked information

To manually update linked information

  1. In the file that contains the linked information, on the Edit menu, click Links.
  2. Click Update Now.

Note

  • This option may not be available with all programs.


Insert a package into a file

To insert a package into a file

  1. Open the file to which you want to add a package.
  2. In My Computer, find the file that you want to insert.
  3. Drag the file icon into the open file.

    4. To insert a package that contains a linked file, press SHIFT+CTRL while you drag the icon.

Note

  • You can insert a package into a file only if the file has been created by a Windows-based program that supports drag-and-drop functions.